Bug 426557 - Unable to distinguish GtkToggleButton state when focused
Summary: Unable to distinguish GtkToggleButton state when focused
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Plasma
Component: gtk theme (show other bugs)
Version: 5.19.5
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Janet Blackquill
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-15 12:15 UTC by hexchain
Modified: 2021-11-22 23:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test script (378 bytes, text/x-python)
2020-09-15 12:15 UTC, hexchain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hexchain 2020-09-15 12:15:10 UTC
Created attachment 131671 [details]
Test script

SUMMARY
The state of GtkToggleButton is unclear when the button is also focused.


STEPS TO REPRODUCE
1. Run the attached script with Breeze theme.

OBSERVED RESULT
There is basically no visual difference between the active and inactive state of the button.

EXPECTED RESULT
It should be easy to tell apart the two states.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma:
(available in About System)
KDE Plasma Version: 5.19.5
KDE Frameworks Version: 5.74.0
Qt Version: 5.15.1
Comment 1 hexchain 2021-01-09 19:37:12 UTC
Recently I've been using PulseEffects, which makes heavy use of toggle buttons. It is really annoying that I'm unable to distinguish the state.

I hope this issue is still on the radar, as Breeze is having a visual overhaul, it would be good if this can get fixed (the current breeze and breeze-gtk master doesn't seem to change anything for me).
Comment 2 Janet Blackquill 2021-11-22 20:58:58 UTC
Git commit 19e285b42646c60bd5652c541723e95a3c24547d by Jan Blackquill.
Committed on 22/11/2021 at 20:50.
Pushed by cblack into branch 'master'.

gtk3, gtk4: refactor buttons heavily, make look near-identical to breeze qstyle
Related: bug 438185, bug 443919

M  +2    -33   src/gtk3/widgets/_app_notifications.scss
M  +105  -295  src/gtk3/widgets/_button.scss
M  +2    -8    src/gtk3/widgets/_color_chooser.scss
M  +1    -69   src/gtk3/widgets/_headerbar.scss
M  +0    -2    src/gtk3/widgets/_menus.scss
M  +0    -4    src/gtk3/widgets/_notebook.scss
M  +1    -1    src/gtk3/widgets/_pathbar.scss
M  +2    -33   src/gtk4/widgets/_app_notifications.scss
M  +105  -292  src/gtk4/widgets/_button.scss
M  +2    -8    src/gtk4/widgets/_color_chooser.scss
M  +1    -72   src/gtk4/widgets/_headerbar.scss
M  +0    -11   src/gtk4/widgets/_menus.scss
M  +0    -4    src/gtk4/widgets/_notebook.scss
M  +1    -1    src/gtk4/widgets/_pathbar.scss
M  +1    -1    src/gtk4/widgets/_spinbutton.scss

https://invent.kde.org/plasma/breeze-gtk/commit/19e285b42646c60bd5652c541723e95a3c24547d
Comment 3 Nate Graham 2021-11-22 23:47:05 UTC
Git commit ed314cf17880f71a897bd4a67cce2ffc9468610e by Nate Graham, on behalf of Jan Blackquill.
Committed on 22/11/2021 at 23:46.
Pushed by ngraham into branch 'Plasma/5.23'.

gtk3, gtk4: refactor buttons heavily, make look near-identical to breeze qstyle
Related: bug 438185, bug 443919
(cherry picked from commit 19e285b42646c60bd5652c541723e95a3c24547d)

M  +2    -33   src/gtk3/widgets/_app_notifications.scss
M  +105  -295  src/gtk3/widgets/_button.scss
M  +2    -8    src/gtk3/widgets/_color_chooser.scss
M  +1    -69   src/gtk3/widgets/_headerbar.scss
M  +0    -2    src/gtk3/widgets/_menus.scss
M  +0    -4    src/gtk3/widgets/_notebook.scss
M  +1    -1    src/gtk3/widgets/_pathbar.scss
M  +2    -33   src/gtk4/widgets/_app_notifications.scss
M  +105  -292  src/gtk4/widgets/_button.scss
M  +2    -8    src/gtk4/widgets/_color_chooser.scss
M  +1    -72   src/gtk4/widgets/_headerbar.scss
M  +0    -11   src/gtk4/widgets/_menus.scss
M  +0    -4    src/gtk4/widgets/_notebook.scss
M  +1    -1    src/gtk4/widgets/_pathbar.scss
M  +1    -1    src/gtk4/widgets/_spinbutton.scss

https://invent.kde.org/plasma/breeze-gtk/commit/ed314cf17880f71a897bd4a67cce2ffc9468610e